FROM python:3.11

# install sops
RUN curl -LO https://github.com/getsops/sops/releases/download/v3.8.1/sops-v3.8.1.linux.amd64 && \
    mv sops-v3.8.1.linux.amd64 /usr/local/bin/sops && \
    chmod +x /usr/local/bin/sops && \
    sops --version

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt
